Download it now!
Bug 115021 - Modifying the same shortcut in multiple modules in the same session can causes conflicts
Summary: Modifying the same shortcut in multiple modules in the same session can cause...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Customize-Dialog-Keyboard Shortcuts-Accelerators
  Show dependency treegraph
 
Reported: 2018-01-15 11:54 UTC by Thomas Lendo
Modified: 2019-01-18 03:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2018-01-15 11:54:07 UTC
Because with a German keyboard the keystroke combination STRG+; and STRG+SHIFT+; isn't possible (";" is SHIFT+,), I changed the keystroke to STRG+. and STRG+SHIFT+. in Calc and Writer.

But until a restart of LibreOffice, it wasn't possible to use .uno:InsertDateField/.uno:InsertTimeField in Calc and .uno:InsertCurrentDate/.uno:InsertCurrentTime in Writer with the same keystroke combination.

When I added the keystroke combination to Writer, it was going ineffective in Calc and the description name changed to the uno name. When I added it to Calc, the same happens in Calc.

Can someone reproduce this behavior?


And another issue: If I change the UI from German to English, no keys are added to the above mentioned commands. It's not visible in the Customization dialog and it doesn't work. When changing back to German it works again and is visible in the Customization dialog.

Version: 6.0.0.2 (x64) with German UI
Build-ID: 06b618bb6f431d27fd2def25aa19c833e29b61cd
CPU-Threads: 8; BS: Windows 10.0; UI-Render: GL; 
Gebietsschema: de-AT (de_AT); Calc: group
Comment 1 Yousuf Philips (jay) (retired) 2018-01-15 15:49:10 UTC
(In reply to Thomas Lendo from comment #0)
> Because with a German keyboard the keystroke combination STRG+; and
> STRG+SHIFT+; isn't possible (";" is SHIFT+,), I changed the keystroke to
> STRG+. and STRG+SHIFT+. in Calc and Writer.

Then it would be good to have this fixed by default for German (bug 82117), as we did with other languages (bug 88027).

> But until a restart of LibreOffice, it wasn't possible to use
> .uno:InsertDateField/.uno:InsertTimeField in Calc and
> .uno:InsertCurrentDate/.uno:InsertCurrentTime in Writer with the same
> keystroke combination.
> 
> When I added the keystroke combination to Writer, it was going ineffective
> in Calc and the description name changed to the uno name. When I added it to
> Calc, the same happens in Calc.
> 
> Can someone reproduce this behavior?

@Heiko: Can you repo this?

> And another issue: If I change the UI from German to English, no keys are
> added to the above mentioned commands. It's not visible in the Customization
> dialog and it doesn't work. When changing back to German it works again and
> is visible in the Customization dialog.

Please file this in another bug report, but if i had to guess, i would say this is not a bug, as it is assigning the shortcut to the set locale (german), just like we've set particular shortcuts per locale in Accelerators.xcu[1].

[1] https://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/Office/Accelerators.xcu
Comment 2 Heiko Tietze 2018-01-16 09:58:58 UTC
Calc knows .uno:InsertCurrentDate ("Insert Current Date") assigned to Ctrl+; but this command is not available in Writer where only .uno:InsertDateField is possible. The latter has no shortcut assigned in Calc because that makes not much sense because this command is possible only in edit mode.

IIRC the field menu was introduced recently in Calc, at least we discussed the edit mode.
Comment 3 Thomas Lendo 2018-01-16 12:47:25 UTC
(In reply to Yousuf Philips (jay) from comment #1)
> Please file this in another bug report, but if i had to guess, i would say
> this is not a bug, as it is assigning the shortcut to the set locale
> (german), just like we've set particular shortcuts per locale in
> Accelerators.xcu
I apprehended that. So I won't file a new bug.


I tested the date/time issue with a new profile in version 6.0.0.2. You can test it with every locale you want, it's always the same result.

Steps to reproduce
1) Open Writer, go to Tools > Customize... > Keyboard
2) Assign "Date" to Ctrl+. and "Time" with Ctrl+Shift+.
3) Close the dialog and test it in Writer
4) Don't close Writer and open Calc, go to Tools > Customize... > Keyboard
5) Assign "Insert Current Date" to Ctrl+. and "Insert Current Time" with Ctrl+Shift+.
6) Close the dialog and test it in Calc
7) Don't close Calc, go to Writer and test it again

Actual result:
Ctrl+. and Ctrl+Shift+. don't work anymore in Writer.

Expected result:
Writer and Calc shortcut keys shouldn't interfere each other.

When going back to the Customize dialog in Writer, you can see that "Date" and "Time" aren't assigned to Ctrl+. and Ctrl+Shift+. anymore. But .uno:InsertCurrentDate and .uno:InsertCurrentTime are visible in the shortcut keys list in the Customize dialog instead of "Date" and "Time".
Comment 4 Yousuf Philips (jay) (retired) 2018-01-16 18:00:28 UTC
So i can confirm the issue and it seems the issue happens for certain shortcuts and can happen with any assigned command. So from my testing, the issue happened with F12, ctrl+. and ctrl+; shortcuts but didnt with ctrl+0, ctrl+9, and ctrl+[.

Steps:
1. open writer
2. tools > customize > keyboard
3. assign shortcut to 'Date' command under the insert category
4. test it works correctly in writer
5. open calc
6. tools > customize > keyboard
7. assign same shortcut to 'Chart' command under the insert category
8. test it works correctly in calc
9. switch back to writer window
10. test if it inserts a chart
Comment 5 QA Administrators 2019-01-18 03:58:49 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug